Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Channel

    java.lang.Object
      |
      +--org.hsqldb.Channel

class Channel
extends Object

Constructor Summary
`(package private)` | `Channel(org.hsqldb.Channel , int )`
`(package private)` | `Channel(org.hsqldb.Database , org.hsqldb.User , boolean , boolean , int )`

Method Summary
`(package private) void` | `addTransactionDelete(org.hsqldb.Table , java.lang.Object[] )`
`(package private) void` | `addTransactionInsert(org.hsqldb.Table , java.lang.Object[] )`
`(package private) void` | `beginNestedTransaction()`
`(package private) void` | `check(java.lang.String , int )`
`(package private) void` | `checkAdmin()`
`(package private) void` | `checkReadWrite()`
`(package private) void` | `commit()`
`(package private) void` | `disconnect()`
`(package private) void` | `endNestedTransaction(boolean )`
`void` | `finalize()`
`(package private) org.hsqldb.Database` | `getDatabase()`
`(package private) int` | `getId()`
`(package private) int` | `getLastIdentity()`
`(package private) int` | `getMaxRows()`
`(package private) java.lang.String` | `getUsername()`
`(package private) boolean` | `isClosed()`
`(package private) boolean` | `isNestedTransaction()`
`(package private) boolean` | `isReadOnly()`
`(package private) void` | `rollback()`
`(package private) void` | `setAutoCommit(boolean )`
`(package private) void` | `setLastIdentity(int )`
`(package private) void` | `setMaxRows(int )`
`(package private) void` | `setPassword(java.lang.String )`
`(package private) void` | `setReadOnly(boolean )`
`(package private) void` | `setUser(org.hsqldb.User )`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Channel

    Channel(org.hsqldb.Channel , int )

### Channel

    Channel(org.hsqldb.Database , org.hsqldb.User , boolean , boolean , int )

Method Detail

### addTransactionDelete

    void addTransactionDelete(org.hsqldb.Table , java.lang.Object[] )

### addTransactionInsert

    void addTransactionInsert(org.hsqldb.Table , java.lang.Object[] )

### beginNestedTransaction

    void beginNestedTransaction()

### check

    void check(java.lang.String , int )

### checkAdmin

    void checkAdmin()

### checkReadWrite

    void checkReadWrite()

### commit

    void commit()

### disconnect

    void disconnect()

### endNestedTransaction

    void endNestedTransaction(boolean )

### finalize

    public void finalize()

### getDatabase

    org.hsqldb.Database getDatabase()

### getId

    int getId()

### getLastIdentity

    int getLastIdentity()

### getMaxRows

    int getMaxRows()

### getUsername

    java.lang.String getUsername()

### isClosed

    boolean isClosed()

### isNestedTransaction

    boolean isNestedTransaction()

### isReadOnly

    boolean isReadOnly()

### rollback

    void rollback()

### setAutoCommit

    void setAutoCommit(boolean )

### setLastIdentity

    void setLastIdentity(int )

### setMaxRows

    void setMaxRows(int )

### setPassword

    void setPassword(java.lang.String )

### setReadOnly

    void setReadOnly(boolean )

### setUser

    void setUser(org.hsqldb.User )

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD